# ``igraph`.`app`.`shell`.`ConsoleProgressBarMixin``

class documentation

`class ConsoleProgressBarMixin: (source)`

Known subclasses: `igraph.app.shell.ClassicPythonShell`, `igraph.app.shell.IPythonShell`

View In Hierarchy

Mixin class for console shells that support a progress bar.

Method | `__init__` | Undocumented
Class Method | `_progress_handler` | Progress bar handler, called when `igraph` reports the progress of an operation
Class Method | `_status_handler` | Status message handler, called when `igraph` sends a status message to be displayed.
Method | `_disable_handlers` | Disables the status and progress handlers if the terminal is not capable enough.

def __init__(self): (source)
overridden in `igraph.app.shell.ClassicPythonShell`, `igraph.app.shell.IPythonShell`

Undocumented

@classmethod
def _progress_handler(cls, message, percentage): (source)

Progress bar handler, called when `igraph` reports the progress of an operation

Parameters
message | message provided by `igraph`
percentage | percentage provided by `igraph`

@classmethod
def _status_handler(cls, message): (source)

Status message handler, called when `igraph` sends a status message to be displayed.

Parameters
message | message provided by `igraph`

def _disable_handlers(self): (source)

Disables the status and progress handlers if the terminal is not capable enough.